Index: serefpolicy-contrib-20140730/man2html.if
===================================================================
--- serefpolicy-contrib-20140730.orig/man2html.if
+++ serefpolicy-contrib-20140730/man2html.if
@@ -1 +1,137 @@
 ## <summary>A Unix manpage-to-HTML converter.</summary>
+
+########################################
+## <summary>
+##	Transition to man2html_script.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`man2html_script_domtrans',`
+	gen_require(`
+		type man2html_script_t, man2html_script_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, man2html_script_exec_t, man2html_script_t)
+')
+
+########################################
+## <summary>
+##	Search man2html_script content directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`man2html_search_content',`
+	gen_require(`
+		type man2html_content_t;
+		type man2html_rw_content_t;
+	')
+
+	allow $1 { man2html_rw_content_t man2html_content_t }:dir search_dir_perms;
+	files_search_var($1)
+')
+
+########################################
+## <summary>
+##	Read man2html cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`man2html_read_content_files',`
+	gen_require(`
+		type man2html_content_t;
+		type man2html_rw_content_t;
+	')
+
+	files_search_var($1)
+	allow $1 { man2html_rw_content_t man2html_content_t }:dir search_dir_perms;
+	read_files_pattern($1, man2html_rw_content_t, man2html_rw_content_t)
+	read_files_pattern($1, man2html_content_t, man2html_content_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	man2html content files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`man2html_manage_content_files',`
+	gen_require(`
+		type man2html_content_t;
+		type man2html_rw_content_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, man2html_rw_content_t, man2html_rw_content_t)
+	manage_files_pattern($1, man2html_content_t, man2html_content_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	man2html content dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`man2html_manage_content_dirs',`
+	gen_require(`
+		type man2html_content_t;
+		type man2html_rw_content_t;
+	')
+
+	files_search_var($1)
+	manage_dirs_pattern($1, man2html_rw_content_t, man2html_rw_content_t)
+	manage_dirs_pattern($1, man2html_content_t, man2html_content_t)
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an man2html environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`man2html_admin',`
+	gen_require(`
+		type man2html_script_t;
+		type man2html_rw_content_t;
+		type man2html_content_t;
+	')
+
+	allow $1 man2html_script_t:process { ptrace signal_perms };
+	ps_process_pattern($1, man2html_script_t)
+
+	files_search_var($1)
+	admin_pattern($1, man2html_content_t)
+	admin_pattern($1, man2html_rw_content_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/man2html.te
===================================================================
--- serefpolicy-contrib-20140730.orig/man2html.te
+++ serefpolicy-contrib-20140730/man2html.te
@@ -5,22 +5,18 @@ policy_module(man2html, 1.0.0)
 # Declarations
 #
 
-apache_content_template(man2html)
-
-type httpd_man2html_script_cache_t;
-files_type(httpd_man2html_script_cache_t)
 
 ########################################
 #
-# Local policy
+# man2html_script local policy
 #
 
-manage_dirs_pattern(httpd_man2html_script_t, httpd_man2html_script_cache_t, httpd_man2html_script_cache_t)
-manage_files_pattern(httpd_man2html_script_t, httpd_man2html_script_cache_t, httpd_man2html_script_cache_t)
-manage_lnk_files_pattern(httpd_man2html_script_t, httpd_man2html_script_cache_t, httpd_man2html_script_cache_t)
-files_var_filetrans(httpd_man2html_script_t, httpd_man2html_script_cache_t, dir)
-
-files_read_etc_files(httpd_man2html_script_t)
-
-miscfiles_read_localization(httpd_man2html_script_t)
-miscfiles_read_man_pages(httpd_man2html_script_t)
+optional_policy(`
+	apache_content_template(man2html)
+	apache_content_alias_template(man2html, man2html)
+
+	allow man2html_script_t self:process fork;
+
+	typealias man2html_rw_content_t alias man2html_script_cache_t;
+	files_var_filetrans(man2html_script_t, man2html_rw_content_t, { dir file })
+')
Index: serefpolicy-contrib-20140730/mandb.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mandb.fc
+++ serefpolicy-contrib-20140730/mandb.fc
@@ -1 +1,12 @@
+HOME_DIR/\.manpath	--	gen_context(system_u:object_r:mandb_home_t,s0)
+
 /etc/cron\.(daily|weekly)/man-db.*	--	gen_context(system_u:object_r:mandb_exec_t,s0)
+
+/usr/bin/mandb		--	gen_context(system_u:object_r:mandb_exec_t,s0)
+
+/var/cache/man(/.*)?		gen_context(system_u:object_r:mandb_cache_t,s0)
+/opt/local/share/man(/.*)?        gen_context(system_u:object_r:mandb_cache_t,s0)
+
+/var/lock/man-db\.lock	--	gen_context(system_u:object_r:mandb_lock_t,s0)
+
+/root/.manpath  --  gen_context(system_u:object_r:mandb_home_t,s0)
Index: serefpolicy-contrib-20140730/mandb.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mandb.if
+++ serefpolicy-contrib-20140730/mandb.if
@@ -1,14 +1,14 @@
-## <summary>On-line manual database.</summary>
+
+## <summary>policy for mandb</summary>
 
 ########################################
 ## <summary>
-##	Execute the mandb program in
-##	the mandb domain.
+##	Transition to mandb.
 ## </summary>
 ## <param name="domain">
-##	<summary>
+## <summary>
 ##	Domain allowed to transition.
-##	</summary>
+## </summary>
 ## </param>
 #
 interface(`mandb_domtrans',`
@@ -22,33 +22,45 @@ interface(`mandb_domtrans',`
 
 ########################################
 ## <summary>
-##	Execute mandb in the mandb
-##	domain, and allow the specified
-##	role the mandb domain.
+##	Search mandb cache directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed to transition.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`mandb_search_cache',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	allow $1 mandb_cache_t:dir search_dir_perms;
+	files_search_var($1)
+')
+
+########################################
+## <summary>
+##	Read mandb cache files.
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 #
-interface(`mandb_run',`
+interface(`mandb_read_cache_files',`
 	gen_require(`
-		attribute_role mandb_roles;
+		type mandb_cache_t;
 	')
 
-	lightsquid_domtrans($1)
-	roleattribute $2 mandb_roles;
+	files_search_var($1)
+	read_files_pattern($1, mandb_cache_t, mandb_cache_t)
 ')
 
 ########################################
 ## <summary>
-##	Search mandb cache directories.
+##	Relabel mandb cache files/directories
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -56,13 +68,18 @@ interface(`mandb_run',`
 ##	</summary>
 ## </param>
 #
-interface(`mandb_search_cache',`
-	refpolicywarn(`$0($*) has been deprecated')
+interface(`mandb_relabel_cache',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	allow $1 mandb_cache_t:dir relabel_dir_perms;
+	allow $1 mandb_cache_t:file relabel_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Delete mandb cache content.
+##	Set attributes on mandb cache files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -70,13 +87,18 @@ interface(`mandb_search_cache',`
 ##	</summary>
 ## </param>
 #
-interface(`mandb_delete_cache_content',`
-	refpolicywarn(`$0($*) has been deprecated')
+interface(`mandb_setattr_cache_dirs',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	files_search_var($1)
+	allow $1 mandb_cache_t:dir setattr;
 ')
 
 ########################################
 ## <summary>
-##	Read mandb cache content.
+##	Delete mandb cache files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -84,8 +106,16 @@ interface(`mandb_delete_cache_content',`
 ##	</summary>
 ## </param>
 #
-interface(`mandb_read_cache_content',`
-	refpolicywarn(`$0($*) has been deprecated')
+interface(`mandb_delete_cache',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	files_search_var($1)
+	allow $1 mandb_cache_t:dir list_dir_perms;
+	delete_dirs_pattern($1, mandb_cache_t, mandb_cache_t)
+	delete_files_pattern($1, mandb_cache_t, mandb_cache_t)
+	delete_lnk_files_pattern($1, mandb_cache_t, mandb_cache_t)
 ')
 
 ########################################
@@ -99,37 +129,82 @@ interface(`mandb_read_cache_content',`
 ##	</summary>
 ## </param>
 #
-interface(`mandb_manage_cache_content',`
-	refpolicywarn(`$0($*) has been deprecated')
+interface(`mandb_manage_cache_files',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, mandb_cache_t, mandb_cache_t)
+')
+
+########################################
+## <summary>
+##	Manage mandb cache dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mandb_manage_cache_dirs',`
+	gen_require(`
+		type mandb_cache_t;
+	')
+
+	files_search_var($1)
+	manage_dirs_pattern($1, mandb_cache_t, mandb_cache_t)
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an mandb environment.
+##	Create configuration files in user
+##	home directories with a named file
+##	type transition.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`mandb_filetrans_named_home_content',`
+	gen_require(`
+		type mandb_home_t;
+	')
+
+	userdom_user_home_dir_filetrans($1, mandb_home_t, file, ".manpath")
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an mandb environment
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`mandb_admin',`
 	gen_require(`
-		type mandb_t, mandb_cache_t;
+		type mandb_t;
+		type mandb_cache_t, mandb_lock_t;
 	')
 
 	allow $1 mandb_t:process { ptrace signal_perms };
 	ps_process_pattern($1, mandb_t)
 
-	mandb_run($1, $2)
+	files_search_var($1)
+	admin_pattern($1, mandb_cache_t)
+
+	files_search_locks($1)
+	admin_pattern($1, mandb_lock_t)
 
-	# pending
-	# miscfiles_manage_man_cache_content(mandb_t)
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/mandb.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mandb.te
+++ serefpolicy-contrib-20140730/mandb.te
@@ -1,4 +1,4 @@
-policy_module(mandb, 1.2.0)
+policy_module(mandb, 1.1.1)
 
 ########################################
 #
@@ -10,9 +10,18 @@ roleattribute system_r mandb_roles;
 
 type mandb_t;
 type mandb_exec_t;
-application_domain(mandb_t, mandb_exec_t)
+init_daemon_domain(mandb_t, mandb_exec_t)
 role mandb_roles types mandb_t;
 
+type mandb_cache_t;
+files_type(mandb_cache_t)
+
+type mandb_home_t;
+userdom_user_home_content(mandb_home_t)
+
+type mandb_lock_t;
+files_lock_file(mandb_lock_t)
+
 ########################################
 #
 # Local policy
@@ -23,6 +32,18 @@ allow mandb_t self:process { setsched si
 allow mandb_t self:fifo_file rw_fifo_file_perms;
 allow mandb_t self:unix_stream_socket create_stream_socket_perms;
 
+manage_dirs_pattern(mandb_t, mandb_cache_t, mandb_cache_t)
+manage_files_pattern(mandb_t, mandb_cache_t, mandb_cache_t)
+manage_lnk_files_pattern(mandb_t, mandb_cache_t, mandb_cache_t)
+files_var_filetrans(mandb_t, mandb_cache_t, { dir file lnk_file })
+can_exec(mandb_t, mandb_exec_t)
+
+userdom_search_user_home_dirs(mandb_t)
+allow mandb_t mandb_home_t:file read_file_perms;
+
+allow mandb_t mandb_lock_t:file manage_file_perms;
+files_lock_filetrans(mandb_t, mandb_lock_t, file)
+
 kernel_read_kernel_sysctls(mandb_t)
 kernel_read_system_state(mandb_t)
 
@@ -33,11 +54,12 @@ dev_search_sysfs(mandb_t)
 
 domain_use_interactive_fds(mandb_t)
 
-files_read_etc_files(mandb_t)
+files_search_locks(mandb_t)
+files_dontaudit_search_all_mountpoints(mandb_t)
 
 miscfiles_manage_man_cache(mandb_t)
+miscfiles_setattr_man_pages(mandb_t)
 miscfiles_read_man_pages(mandb_t)
-miscfiles_read_localization(mandb_t)
 
 ifdef(`distro_debian',`
 	optional_policy(`
Index: serefpolicy-contrib-20140730/mcelog.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mcelog.if
+++ serefpolicy-contrib-20140730/mcelog.if
@@ -19,6 +19,25 @@ interface(`mcelog_domtrans',`
 	domtrans_pattern($1, mcelog_exec_t, mcelog_t)
 ')
 
+######################################
+## <summary>
+##	Read mcelog logs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mcelog_read_log',`
+	gen_require(`
+		type mcelog_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, mcelog_log_t, mcelog_log_t)
+')
+
 ########################################
 ## <summary>
 ##	All of the rules required to
Index: serefpolicy-contrib-20140730/mcelog.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mcelog.te
+++ serefpolicy-contrib-20140730/mcelog.te
@@ -1,4 +1,4 @@
-policy_module(mcelog, 1.3.0)
+policy_module(mcelog, 1.2.0)
 
 ########################################
 #
@@ -36,13 +36,6 @@ gen_tunable(mcelog_foreground, false)
 ## </desc>
 gen_tunable(mcelog_server, false)
 
-## <desc>
-##	<p>
-##	Determine whether mcelog can use syslog.
-##	</p>
-## </desc>
-gen_tunable(mcelog_syslog, false)
-
 type mcelog_t;
 type mcelog_exec_t;
 init_daemon_domain(mcelog_t, mcelog_exec_t)
@@ -84,18 +77,21 @@ files_pid_filetrans(mcelog_t, mcelog_var
 
 kernel_read_system_state(mcelog_t)
 
+corecmd_exec_shell(mcelog_t)
+corecmd_exec_bin(mcelog_t)
+
 dev_read_raw_memory(mcelog_t)
 dev_read_kmsg(mcelog_t)
-dev_rw_cpu_microcode(mcelog_t)
 dev_rw_sysfs(mcelog_t)
-
-files_read_etc_files(mcelog_t)
+dev_rw_cpu_microcode(mcelog_t)
 
 mls_file_read_all_levels(mcelog_t)
 
+auth_use_nsswitch(mcelog_t)
+
 locallogin_use_fds(mcelog_t)
 
-miscfiles_read_localization(mcelog_t)
+logging_send_syslog_msg(mcelog_t)
 
 tunable_policy(`mcelog_client',`
 	allow mcelog_t self:unix_stream_socket connectto;
@@ -115,9 +111,6 @@ tunable_policy(`mcelog_server',`
 	allow mcelog_t self:unix_stream_socket { listen accept };
 ')
 
-tunable_policy(`mcelog_syslog',`
-	logging_send_syslog_msg(mcelog_t)
-')
 
 optional_policy(`
 	cron_system_entry(mcelog_t, mcelog_exec_t)
Index: serefpolicy-contrib-20140730/mcollective.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/mcollective.fc
@@ -0,0 +1,3 @@
+/etc/mcollective/facts\.yaml		--	gen_context(system_u:object_r:mcollective_etc_rw_t,s0)
+
+/usr/libexec/mcollective/update_yaml\.rb		--	gen_context(system_u:object_r:mcollective_exec_t,s0)
Index: serefpolicy-contrib-20140730/mcollective.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/mcollective.if
@@ -0,0 +1,109 @@
+
+## <summary>policy for mcollective</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the mcollective domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`mcollective_domtrans',`
+	gen_require(`
+		type mcollective_t, mcollective_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, mcollective_exec_t, mcollective_t)
+')
+
+########################################
+## <summary>
+##	Search mcollective conf directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mcollective_search_conf',`
+	gen_require(`
+		type mcollective_etc_rw_t;
+	')
+
+	allow $1 mcollective_etc_rw_t:dir search_dir_perms;
+	files_search_etc($1)
+')
+
+########################################
+## <summary>
+##	Read mcollective conf files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mcollective_read_conf_files',`
+	gen_require(`
+		type mcollective_etc_rw_t;
+	')
+
+	allow $1 mcollective_etc_rw_t:dir list_dir_perms;
+	read_files_pattern($1, mcollective_etc_rw_t, mcollective_etc_rw_t)
+	files_search_etc($1)
+')
+
+########################################
+## <summary>
+##	Manage mcollective conf files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mcollective_manage_conf_files',`
+	gen_require(`
+		type mcollective_etc_rw_t;
+	')
+
+	manage_files_pattern($1, mcollective_etc_rw_t, mcollective_etc_rw_t)
+	files_search_etc($1)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an mcollective environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`mcollective_admin',`
+	gen_require(`
+		type mcollective_t;
+		type mcollective_etc_rw_t;
+	')
+
+	allow $1 mcollective_t:process { ptrace signal_perms };
+	ps_process_pattern($1, mcollective_t)
+
+	files_search_etc($1)
+	admin_pattern($1, mcollective_etc_rw_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/mcollective.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/mcollective.te
@@ -0,0 +1,27 @@
+policy_module(mcollective, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type mcollective_t;
+type mcollective_exec_t;
+init_daemon_domain(mcollective_t, mcollective_exec_t)
+cron_system_entry(mcollective_t, mcollective_exec_t)
+
+type mcollective_etc_rw_t;
+files_type(mcollective_etc_rw_t)
+
+########################################
+#
+# mcollective local policy
+#
+allow mcollective_t self:fifo_file rw_fifo_file_perms;
+allow mcollective_t self:unix_stream_socket create_stream_socket_perms;
+
+manage_files_pattern(mcollective_t, mcollective_etc_rw_t, mcollective_etc_rw_t)
+files_etc_filetrans(mcollective_t, mcollective_etc_rw_t, file, "facts.yaml")
+
+domain_use_interactive_fds(mcollective_t)
+
Index: serefpolicy-contrib-20140730/mediawiki.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mediawiki.fc
+++ serefpolicy-contrib-20140730/mediawiki.fc
@@ -1,8 +1,8 @@
-/usr/lib/mediawiki/math/texvc	--	gen_context(system_u:object_r:httpd_mediawiki_script_exec_t,s0)
-/usr/lib/mediawiki/math/texvc_tex	--	gen_context(system_u:object_r:httpd_mediawiki_script_exec_t,s0)
-/usr/lib/mediawiki/math/texvc_tes	--	gen_context(system_u:object_r:httpd_mediawiki_script_exec_t,s0)
+/usr/lib/mediawiki/math/texvc	--	gen_context(system_u:object_r:mediawiki_script_exec_t,s0)
+/usr/lib/mediawiki/math/texvc_tex	--	gen_context(system_u:object_r:mediawiki_script_exec_t,s0)
+/usr/lib/mediawiki/math/texvc_tes	--	gen_context(system_u:object_r:mediawiki_script_exec_t,s0)
 
-/usr/share/mediawiki(/.*)?	gen_context(system_u:object_r:httpd_mediawiki_content_t,s0)
+/usr/share/mediawiki(/.*)?	gen_context(system_u:object_r:mediawiki_content_t,s0)
 
-/var/www/wiki(/.*)?	gen_context(system_u:object_r:httpd_mediawiki_rw_content_t,s0)
-/var/www/wiki/.*\.php	--	gen_context(system_u:object_r:httpd_mediawiki_content_t,s0)
+/var/www/wiki(/.*)?	gen_context(system_u:object_r:mediawiki_rw_content_t,s0)
+/var/www/wiki/.*\.php	--	gen_context(system_u:object_r:mediawiki_content_t,s0)
Index: serefpolicy-contrib-20140730/mediawiki.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mediawiki.if
+++ serefpolicy-contrib-20140730/mediawiki.if
@@ -1 +1,40 @@
-## <summary>Open source wiki package written in PHP.</summary>
+## <summary>Mediawiki policy</summary>
+
+#######################################
+## <summary>
+##      Allow the specified domain to read
+##      mediawiki tmp files.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`mediawiki_read_tmp_files',`
+        gen_require(`
+                type mediawiki_tmp_t;
+        ')
+
+        files_search_tmp($1)
+        read_files_pattern($1, mediawiki_tmp_t, mediawiki_tmp_t)
+	read_lnk_files_pattern($1, mediawiki_tmp_t, mediawiki_tmp_t)
+')
+
+#######################################
+## <summary>
+##      Delete mediawiki tmp files.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`mediawiki_delete_tmp_files',`
+        gen_require(`
+                type mediawiki_tmp_t;
+        ')
+
+        delete_files_pattern($1, mediawiki_tmp_t, mediawiki_tmp_t)
+')
Index: serefpolicy-contrib-20140730/mediawiki.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mediawiki.te
+++ serefpolicy-contrib-20140730/mediawiki.te
@@ -5,13 +5,26 @@ policy_module(mediawiki, 1.0.0)
 # Declarations
 #
 
-apache_content_template(mediawiki)
+type mediawiki_tmp_t;
+files_tmp_file(mediawiki_tmp_t)
 
 ########################################
 #
 # Local policy
 #
 
-files_search_var_lib(httpd_mediawiki_script_t)
+optional_policy(`
 
-miscfiles_read_tetex_data(httpd_mediawiki_script_t)
+	apache_content_template(mediawiki)
+	apache_content_alias_template(mediawiki, mediawiki)
+
+	manage_dirs_pattern(mediawiki_script_t, mediawiki_tmp_t, mediawiki_tmp_t)
+	manage_files_pattern(mediawiki_script_t, mediawiki_tmp_t, mediawiki_tmp_t)
+	manage_sock_files_pattern(mediawiki_script_t, mediawiki_tmp_t, mediawiki_tmp_t)
+	manage_lnk_files_pattern(mediawiki_script_t, mediawiki_tmp_t, mediawiki_tmp_t)
+	files_tmp_filetrans(mediawiki_script_t, mediawiki_tmp_t, { file dir lnk_file })
+
+	files_search_var_lib(mediawiki_script_t)
+
+	miscfiles_read_tetex_data(mediawiki_script_t)
+')
Index: serefpolicy-contrib-20140730/memcached.if
===================================================================
--- serefpolicy-contrib-20140730.orig/memcached.if
+++ serefpolicy-contrib-20140730/memcached.if
@@ -1,4 +1,4 @@
-## <summary>High-performance memory object caching system.</summary>
+## <summary>high-performance memory object caching system</summary>
 
 ########################################
 ## <summary>
@@ -12,17 +12,16 @@
 #
 interface(`memcached_domtrans',`
 	gen_require(`
-		type memcached_t,memcached_exec_t;
+		type memcached_t;
+		type memcached_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, memcached_exec_t, memcached_t)
 ')
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	memcached pid files.
+##	Read memcached PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -30,18 +29,18 @@ interface(`memcached_domtrans',`
 ##	</summary>
 ## </param>
 #
-interface(`memcached_manage_pid_files',`
+interface(`memcached_read_pid_files',`
 	gen_require(`
 		type memcached_var_run_t;
 	')
 
 	files_search_pids($1)
-	manage_files_pattern($1, memcached_var_run_t, memcached_var_run_t)
+	allow $1 memcached_var_run_t:file read_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Read memcached pid files.
+##	Manage memcached PID files
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -49,19 +48,18 @@ interface(`memcached_manage_pid_files',`
 ##	</summary>
 ## </param>
 #
-interface(`memcached_read_pid_files',`
+interface(`memcached_manage_pid_files',`
 	gen_require(`
 		type memcached_var_run_t;
 	')
 
 	files_search_pids($1)
-	allow $1 memcached_var_run_t:file read_file_perms;
+	manage_files_pattern($1, memcached_var_run_t, memcached_var_run_t)
 ')
 
 ########################################
 ## <summary>
-##	Connect to memcached using a unix
-##	domain stream socket.
+##	Connect to memcached over a unix stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -80,29 +78,8 @@ interface(`memcached_stream_connect',`
 
 ########################################
 ## <summary>
-## 	Connect to memcache over the network.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`memcached_tcp_connect',`
-	gen_require(`
-		type memcached_t;
-	')
-
-	corenet_sendrecv_memcache_client_packets($1)
-	corenet_tcp_connect_memcache_port($1)
-	corenet_tcp_recvfrom_labeled($1, memcached_t)
-	corenet_tcp_sendrecv_memcache_port($1)
-')
-
-########################################
-## <summary>
-##	All of the rules required to
-##	administrate an memcached environment.
+##	All of the rules required to administrate 
+##	an memcached environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -111,7 +88,7 @@ interface(`memcached_tcp_connect',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the memcached domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
@@ -121,14 +98,17 @@ interface(`memcached_admin',`
 		type memcached_t, memcached_initrc_exec_t, memcached_var_run_t;
 	')
 
-	allow $1 memcached_t:process { ptrace signal_perms };
+	allow $1 memcached_t:process signal_perms;
 	ps_process_pattern($1, memcached_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 memcached_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, memcached_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 memcached_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_pids($1)
+	files_list_pids($1)
 	admin_pattern($1, memcached_var_run_t)
 ')
Index: serefpolicy-contrib-20140730/memcached.te
===================================================================
--- serefpolicy-contrib-20140730.orig/memcached.te
+++ serefpolicy-contrib-20140730/memcached.te
@@ -1,4 +1,4 @@
-policy_module(memcached, 1.4.0)
+policy_module(memcached, 1.3.1)
 
 ########################################
 #
@@ -20,7 +20,7 @@ files_pid_file(memcached_var_run_t)
 # Local policy
 #
 
-allow memcached_t self:capability { setuid setgid };
+allow memcached_t self:capability { setuid setgid sys_resource };
 dontaudit memcached_t self:capability sys_tty_config;
 allow memcached_t self:process { setrlimit signal_perms };
 allow memcached_t self:tcp_socket { accept listen };
@@ -59,4 +59,3 @@ term_dontaudit_use_console(memcached_t)
 
 auth_use_nsswitch(memcached_t)
 
-miscfiles_read_localization(memcached_t)
Index: serefpolicy-contrib-20140730/milter.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/milter.fc
+++ serefpolicy-contrib-20140730/milter.fc
@@ -1,18 +1,29 @@
+/etc/mail/dkim-milter/keys(/.*)?        gen_context(system_u:object_r:dkim_milter_private_key_t,s0)
+
+/usr/sbin/dkim-filter           --      gen_context(system_u:object_r:dkim_milter_exec_t,s0)
+/usr/sbin/opendkim      --  gen_context(system_u:object_r:dkim_milter_exec_t,s0)
+/usr/sbin/opendmarc     --  gen_context(system_u:object_r:dkim_milter_exec_t,s0)
 /usr/sbin/milter-greylist	--	gen_context(system_u:object_r:greylist_milter_exec_t,s0)
-/usr/sbin/sqlgrey	--	gen_context(system_u:object_r:greylist_milter_exec_t,s0)
-/usr/sbin/milter-regex	--	gen_context(system_u:object_r:regex_milter_exec_t,s0)
+/usr/sbin/sqlgrey       --      gen_context(system_u:object_r:greylist_milter_exec_t,s0)
+/usr/sbin/milter-regex				--	gen_context(system_u:object_r:regex_milter_exec_t,s0)
 /usr/sbin/spamass-milter	--	gen_context(system_u:object_r:spamass_milter_exec_t,s0)
 
-/var/lib/milter-greylist(/.*)?	gen_context(system_u:object_r:greylist_milter_data_t,s0)
-/var/lib/sqlgrey(/.*)?	gen_context(system_u:object_r:greylist_milter_data_t,s0)
-/var/lib/spamass-milter(/.*)?	gen_context(system_u:object_r:spamass_milter_state_t,s0)
+/var/lib/dkim-milter(/.*)?          gen_context(system_u:object_r:dkim_milter_data_t,s0)
+/var/lib/milter-greylist(/.*)?		gen_context(system_u:object_r:greylist_milter_data_t,s0)
+/var/lib/sqlgrey(/.*)?  			gen_context(system_u:object_r:greylist_milter_data_t,s0)
+/var/lib/spamass-milter(/.*)?		gen_context(system_u:object_r:spamass_milter_state_t,s0)
 
-/var/run/milter-greylist(/.*)?	gen_context(system_u:object_r:greylist_milter_data_t,s0)
+/var/run/dkim-milter(/.*)?              gen_context(system_u:object_r:dkim_milter_data_t,s0)
+/var/run/opendmarc(/.*)?              gen_context(system_u:object_r:dkim_milter_data_t,s0)
+/var/run/milter-greylist(/.*)?		gen_context(system_u:object_r:greylist_milter_data_t,s0)
 /var/run/milter-greylist\.pid	--	gen_context(system_u:object_r:greylist_milter_data_t,s0)
-/var/run/spamass(/.*)?	gen_context(system_u:object_r:spamass_milter_data_t,s0)
-/var/run/sqlgrey\.pid	--	gen_context(system_u:object_r:greylist_milter_data_t,s0)
-/var/run/spamass-milter(/.*)?	gen_context(system_u:object_r:spamass_milter_data_t,s0)
+/var/run/spamass(/.*)?			gen_context(system_u:object_r:spamass_milter_data_t,s0)
+/var/run/sqlgrey\.pid    	--      gen_context(system_u:object_r:greylist_milter_data_t,s0)
+/var/run/spamass-milter(/.*)?		gen_context(system_u:object_r:spamass_milter_data_t,s0)
 /var/run/spamass-milter\.pid	--	gen_context(system_u:object_r:spamass_milter_data_t,s0)
+/var/run/opendkim(/.*)?         gen_context(system_u:object_r:dkim_milter_data_t,s0)
 
-/var/spool/milter-regex(/.*)?	gen_context(system_u:object_r:regex_milter_data_t,s0)
+/var/spool/milter-regex(/.*)?		gen_context(system_u:object_r:regex_milter_data_t,s0)
 /var/spool/postfix/spamass(/.*)?	gen_context(system_u:object_r:spamass_milter_data_t,s0)
+/var/spool/opendkim(/.*)?       gen_context(system_u:object_r:dkim_milter_data_t,s0)
+/var/spool/opendmarc(/.*)?       gen_context(system_u:object_r:dkim_milter_data_t,s0)
